diff -uNra arduino/arduinopc.jar arduino.orig/arduinopc.jar
\ 文件尾没有 newline 字符
diff -uNra arduino/hardware/arduino/boards.txt arduino.orig/hardware/arduino/boards.txt
--- arduino/hardware/arduino/boards.txt	2012-08-24 21:35:18.000000000 +0800
+++ arduino.orig/hardware/arduino/boards.txt	2012-08-14 17:43:43.000000000 +0800
@@ -459,3 +459,79 @@
 atmega8.build.f_cpu=16000000L
 atmega8.build.core=arduino
 atmega8.build.variant=standard
+
+##############################################################
+
+mini8.name=mini8-16Mhz
+
+mini8.upload.protocol=arduino
+mini8.upload.maximum_size=7680
+mini8.upload.speed=19200
+
+mini8.bootloader.low_fuses=0xbf
+mini8.bootloader.high_fuses=0xcc
+mini8.bootloader.path=optiboot
+mini8.bootloader.file=optiboot_atmega8l16m.hex
+mini8.bootloader.unlock_bits=0x3F
+mini8.bootloader.lock_bits=0x0F
+
+mini8.build.mcu=atmega8
+mini8.build.f_cpu=16000000L
+mini8.build.core=arduino
+mini8.build.variant=standard
+
+
+##########################################
+
+p8s.name=p8s osc
+p8s.upload.protocol=arduino
+p8s.upload.maximum_size=7680
+p8s.upload.speed=19200
+
+p8s.bootloader.low_fuses=0xaf
+p8s.bootloader.high_fuses=0xdc
+p8s.bootloader.path=optiboot
+p8s.bootloader.file=optiboot_atmega8l.hex
+p8s.bootloader.unlock_bits=0x3F
+p8s.bootloader.lock_bits=0x0F
+
+p8s.build.mcu=atmega8
+p8s.build.f_cpu=8000000L
+p8s.build.core=arduino
+p8s.build.variant=standard
+##############################################################
+
+p8.name=p8 rc
+p8.upload.protocol=arduino
+p8.upload.maximum_size=7680
+p8.upload.speed=19200
+
+p8.bootloader.low_fuses=0xa4
+p8.bootloader.high_fuses=0xdc
+p8.bootloader.path=optiboot
+p8.bootloader.file=optiboot_atmega8l.hex
+p8.bootloader.unlock_bits=0x3F
+p8.bootloader.lock_bits=0x0F
+
+p8.build.mcu=atmega8
+p8.build.f_cpu=8000000L
+p8.build.core=arduino
+p8.build.variant=standard
+##############################################################
+
+p8_1m.name=p8-1m rc
+p8_1m.upload.protocol=arduino
+p8_1m.upload.maximum_size=7680
+p8_1m.upload.speed=9600
+
+p8_1m.bootloader.low_fuses=0xa1
+p8_1m.bootloader.high_fuses=0xdc
+p8_1m.bootloader.path=optiboot
+p8_1m.bootloader.file=optiboot_atmega8l1m.hex
+p8_1m.bootloader.unlock_bits=0x3F
+p8_1m.bootloader.lock_bits=0x0F
+
+p8_1m.build.mcu=atmega8
+p8_1m.build.f_cpu=1000000L
+p8_1m.build.core=arduino
+p8_1m.build.variant=standard
diff -uNra arduino/hardware/arduino/bootloaders/optiboot/Makefile arduino.orig/hardware/arduino/bootloaders/optiboot/Makefile
--- arduino/hardware/arduino/bootloaders/optiboot/Makefile	2012-08-24 21:35:18.000000000 +0800
+++ arduino.orig/hardware/arduino/bootloaders/optiboot/Makefile	2012-08-14 17:31:08.000000000 +0800
@@ -31,9 +31,9 @@
 
 
 # enter the parameters for the avrdude isp tool
-ISPTOOL	   = stk500v2
-ISPPORT	   = usb
-ISPSPEED   = -b 115200
+ISPTOOL	   = usbasp
+#ISPPORT	   = usb
+#ISPSPEED   = -b 115200
 
 MCU_TARGET = atmega168
 LDSECTIONS  = -Wl,--section-start=.text=0x3e00 -Wl,--section-start=.version=0x3ffe
@@ -296,6 +296,30 @@
 atmega8_isp: LFUSE = BF
 atmega8_isp: isp
 
+atmega8l: TARGET = atmega8
+atmega8l: MCU_TARGET = atmega8
+atmega8l: CFLAGS += '-DLED_START_FLASHES=4' '-DBAUD_RATE=19200'
+atmega8l: AVR_FREQ = 8000000L 
+atmega8l: LDSECTIONS  = -Wl,--section-start=.text=0x1e00 -Wl,--section-start=.version=0x1ffe
+atmega8l: $(PROGRAM)_atmega8l.hex
+atmega8l: $(PROGRAM)_atmega8l.lst
+# SPIEN, CKOPT, Bootsize=512B
+atmega8l: HFUSE = CC
+atmega8l: LFUSE = F4
+atmega8l: isp
+
+atmega8l16m: TARGET = atmega8
+atmega8l16m: MCU_TARGET = atmega8
+atmega8l16m: CFLAGS += '-DLED_START_FLASHES=1' '-DBAUD_RATE=19200'
+atmega8l16m: AVR_FREQ = 16000000L 
+atmega8l16m: LDSECTIONS  = -Wl,--section-start=.text=0x1e00 -Wl,--section-start=.version=0x1ffe
+atmega8l16m: $(PROGRAM)_atmega8l16m.hex
+atmega8l16m: $(PROGRAM)_atmega8l16m.lst
+# SPIEN, CKOPT, Bootsize=512B
+atmega8l16m: HFUSE = CC
+atmega8l16m: LFUSE = BF
+atmega8l16m: isp
+
 # ATmega88
 #
 atmega88: TARGET = atmega88
diff -uNra arduino/lib/core.jar arduino.orig/lib/core.jar
\ 文件尾没有 newline 字符
diff -uNra arduino/lib/pde.jar arduino.orig/lib/pde.jar
\ 文件尾没有 newline 字符
diff -uNra arduino/libraries/Ethernet/Ethernet.cpp arduino.orig/libraries/Ethernet/Ethernet.cpp
